[vlc-devel] [PATCH] package: win: fix variable expansion with spaces

Alexandre Janniaux ajanni at videolabs.io
Mon Mar 1 15:53:32 UTC 2021


---
 extras/package/win32/build.sh | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/extras/package/win32/build.sh b/extras/package/win32/build.sh
index dbc458eee2..e8f9fd7042 100755
--- a/extras/package/win32/build.sh
+++ b/extras/package/win32/build.sh
@@ -294,7 +294,7 @@ fi
 export CFLAGS
 export CXXFLAGS
 
-${VLC_ROOT_PATH}/contrib/bootstrap --host=$TRIPLET --prefix=../$CONTRIB_PREFIX $CONTRIBFLAGS
+"${VLC_ROOT_PATH}/contrib/bootstrap" --host=$TRIPLET --prefix="../$CONTRIB_PREFIX" $CONTRIBFLAGS
 
 # Rebuild the contribs or use the prebuilt ones
 if [ "$PREBUILT" != "yes" ]; then
@@ -315,9 +315,9 @@ cd ../..
 
 info "Bootstrapping"
 
-if ! [ -e ${VLC_ROOT_PATH}/configure ]; then
+if ! [ -e "${VLC_ROOT_PATH}/configure" ]; then
     echo "Bootstraping vlc"
-    ${VLC_ROOT_PATH}/bootstrap
+    "${VLC_ROOT_PATH}/bootstrap"
 fi
 
 info "Configuring VLC"
@@ -377,7 +377,7 @@ if [ ! -z "$INSTALL_PATH" ]; then
     CONFIGFLAGS="$CONFIGFLAGS --prefix=$INSTALL_PATH"
 fi
 
-${SCRIPT_PATH}/configure.sh --host=$TRIPLET --with-contrib=../contrib/$CONTRIB_PREFIX $CONFIGFLAGS
+"${SCRIPT_PATH}/configure.sh" --host=$TRIPLET --with-contrib="../contrib/$CONTRIB_PREFIX" $CONFIGFLAGS
 
 info "Compiling"
 make -j$JOBS
-- 
2.30.1



More information about the vlc-devel mailing list